Bug 1262872 - Review Request: perl-TeX-Encode - Encoding to LaTeX escapes
Review Request: perl-TeX-Encode - Encoding to LaTeX escapes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 09:52 EDT by Tom "spot" Callaway
Modified: 2015-10-05 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2015-09-14 09:52:24 EDT
Spec URL: https://spot.fedorapeople.org/perl-TeX-Encode.spec
SRPM URL: https://spot.fedorapeople.org/perl-TeX-Encode-1.3-1.fc23.src.rpm
Description: 
This module provides encoding to LaTeX escapes from utf8 using mapping tables
in Pod::LaTeX and HTML::Entities. This covers only a subset of the Unicode
character table (undef warnings will occur for non-mapped chars).

Mileage will vary when decoding (converting LaTeX to utf8), as LaTeX is in
essence a programming language, and this module does not implement LaTeX.

Fedora Account System Username: spot
Koji Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11080626

Note: This package is needed to resolve broken dependencies in the new TeXlive bundle in rawhide.
Comment 1 Jitka Plesnikova 2015-09-15 06:35:54 EDT
Summary is ok
License is ok
Description is ok
URL is ok
All tests passed

FIX: Source0 should contains %{version} instead of explicit version 1.3
Source0: http://search.cpan.org/CPAN/authors/id/T/TI/TIMBRODY/TeX-Encode-%{version}.tar.gz

TODO: Please add Group tag
Group: Development/Libraries

TODO: Please replace %{__perl} by 'perl'

FIX: Please add following build-requires
- coreutils - perl-TeX-Encode.spec:35
- findutils - perl-TeX-Encode.spec:35
- make - perl-TeX-Encode.spec:31
- perl - perl-TeX-Encode.spec:30
- perl(Carp) - lib/TeX/Encode.pm:9
- perl(Encode) - t/01ltgt.t:9 
- perl(strict) - lib/TeX/Encode.pm:4
- perl(vars) - lib/TeX/Encode/charmap.pm:13

FIX: Please replace PERL_INSTALL_ROOT by DESTDIR

TODO: The following line could be remove, it is done by rpm
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'


$ rpm -qp --requires perl-TeX-Encode-1.3-1.fc24.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Encode::Encoding)
      1 perl(TeX::Encode)
      1 perl(TeX::Encode::BibTeX)
      1 perl(TeX::Encode::charmap)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$  rpm -qp --provides perl-TeX-Encode-1.3-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(TeX::Encode) = 1.3
      1 perl(TeX::Encode::BibTeX) = 1.2
      1 perl(TeX::Encode::charmap)
      1 perl-TeX-Encode = 1.3-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-TeX-Encode*
perl-TeX-Encode.src: W: spelling-error %description -l en_US LaTeX -> Lat Ex, Late X, Latex
perl-TeX-Encode.src: W: spelling-error %description -l en_US undef -> unfed, under, funded
perl-TeX-Encode.noarch: W: spelling-error %description -l en_US LaTeX -> Lat Ex, Late X, Latex
perl-TeX-Encode.noarch: W: spelling-error %description -l en_US undef -> unfed, under, funded
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Rpmlint is ok

Please correct all 'FIX' issues and consider fixing 'TODO' item

The package is not approved.
Comment 2 Jitka Plesnikova 2015-09-15 06:42:21 EDT
Please provide new spec file when you fix it.
Comment 3 Tom "spot" Callaway 2015-09-15 09:43:58 EDT
All changes applied, though the Group tag is unnecessary and some of the build-requires are safe to assume.

New Spec URL: https://spot.fedorapeople.org/perl-TeX-Encode.spec
New SRPM URL: https://spot.fedorapeople.org/perl-TeX-Encode-1.3-2.fc23.src.rpm
Comment 4 Jitka Plesnikova 2015-09-15 10:21:22 EDT
-Source0:	http://search.cpan.org/CPAN/authors/id/T/TI/TIMBRODY/TeX-Encode-1.3.tar.gz
+Source0:	http://search.cpan.org/CPAN/authors/id/T/TI/TIMBRODY/TeX-Encode-%{version}.tar.gz
+Group:		Development/Libraries

> FIX: Source0 should contains %{version} instead of explicit version 1.3
> Source0:
> http://search.cpan.org/CPAN/authors/id/T/TI/TIMBRODY/TeX-Encode-%{version}.
> tar.gz
Fixed
 
> TODO: Please add Group tag
> Group: Development/Libraries
Fixed

> TODO: Please replace %{__perl} by 'perl'
 %build
-%{__perl} Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}

Fixed.

> FIX: Please add following build-requires
> - coreutils - perl-TeX-Encode.spec:35
> - findutils - perl-TeX-Encode.spec:35
> - make - perl-TeX-Encode.spec:31
> - perl - perl-TeX-Encode.spec:30
> - perl(Carp) - lib/TeX/Encode.pm:9
> - perl(Encode) - t/01ltgt.t:9 
> - perl(strict) - lib/TeX/Encode.pm:4
> - perl(vars) - lib/TeX/Encode/charmap.pm:13
 BuildArch:	noarch
+BuildRequires:	coreutils, findutils, make, perl
+BuildRequires:	perl(Carp), perl(Encode), perl(strict), perl(vars)
 BuildRequires:	perl(ExtUtils::MakeMaker)

Fixed.

 
> FIX: Please replace PERL_INSTALL_ROOT by DESTDIR
-make pure_install PERL_INSTALL_ROOT=%{buildroot}
+make pure_install DESTDIR=%{buildroot}
Fixed

> 
> TODO: The following line could be remove, it is done by rpm
> find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
 find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

Fixed

The package approved.
Comment 5 Tom "spot" Callaway 2015-09-15 11:37:28 EDT
New Package SCM Request
=======================
Package Name: perl-TeX-Encode
Short Description: Encoding to LaTeX escapes
Upstream URL: http://search.cpan.org/dist/TeX-Encode/
Owners: spot
Branches: f21 f22 f23 
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2015-09-15 12:27:38 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-15 14:03:42 EDT
perl-TeX-Encode-1.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15938
Comment 8 Fedora Update System 2015-09-15 14:03:45 EDT
perl-TeX-Encode-1.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15939
Comment 9 Fedora Update System 2015-09-16 00:52:46 EDT
perl-TeX-Encode-1.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-TeX-Encode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15938
Comment 10 Fedora Update System 2015-09-16 21:02:18 EDT
perl-TeX-Encode-1.3-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-TeX-Encode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15937
Comment 11 Fedora Update System 2015-09-16 21:05:54 EDT
perl-TeX-Encode-1.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-TeX-Encode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15939
Comment 12 Fedora Update System 2015-10-05 14:15:37 EDT
perl-TeX-Encode-1.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-10-05 17:54:26 EDT
perl-TeX-Encode-1.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-05 18:52:22 EDT
perl-TeX-Encode-1.3-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.